//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class geo_city
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public geo_city()
        {
            this.route = new HashSet<route>();
            this.user_profile = new HashSet<user_profile>();
        }
    
        public int id { get; set; }
        public string city_name { get; set; }
        public string city_population { get; set; }
        public Nullable<float> city_latitude { get; set; }
        public Nullable<float> city_longitude { get; set; }
        public Nullable<int> country_id { get; set; }
        public string country_code { get; set; }
        public string region_code { get; set; }
        public Nullable<int> region_id { get; set; }
    
        public virtual geo_country geo_country { get; set; }
        public virtual geo_region geo_region { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route> route { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<user_profile> user_profile { get; set; }
    }
}
